PIXHIST3D-PL(1)

NAME
pixhist3d-pl - output RGB color space utilization in 3D unix-plot form

SYNOPSIS
pixhist3d-pl [file.pix] | plot

DESCRIPTION
Pixhist3d-pl takes a color pix(5) format file and outputs points for each RGB color occuring in the image. The format of these points is the BRL extended three dimensional UNIX plot (see libplot3(3)). A red, green, and blue line is drawn along the edges of the color space indicating the coordinate axis. The resolution of the color space is 128x128x128, i.e. the least significant bit of each color plane is ignored.

These plots are best viewed on an interactive 3D UNIX plot display program, so that the color cube can be viewed from all angles. Anomalies in the colors of an image can often be seen, e.g. oversaturation resulting in intensity clipping.

SEE ALSO
brlcad(1), pixhist3d(1), pixhist(1), libplot3(3), pl-fb(1), pl-sgi(1), pix(5)

BUG REPORTS
Reports of bugs or problems should be submitted via electronic mail to <devs@brlcad.org>.